MySQLの脆弱性(Oracle Critical Patch Update Advisory - Jul 2020)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面です。

7月15日に月例のOracle の脆弱性が公開されました。今回はこの中のMySQLの脆弱性()についてまとめてみます。



MySQLの脆弱性(Oracle Critical Patch Update Advisory - Apr 2020)

MySQLの脆弱性(Oracle Critical Patch Update Advisory - Jan 2020)

MySQLの脆弱性(Oracle Critical Patch Update Advisory - Oct 2019)

MySQLの脆弱性(Oracle Critical Patch Update Advisory - Jul 2019)

MySQLの脆弱性(Oracle Critical Patch Update Advisory - Apr 2019)

MySQLの脆弱性(Oracle Critical Patch Update Advisory - Jan 2019)

MySQLの脆弱性(Oracle Critical Patch Update Advisory - Oct 2018)

MySQLの脆弱性(CVE-2017-5645, CVE-2017-0379, CVE-2018-3064, CVE-2018-0739, CVE-2018-0739, CVE-2018-3070, CVE-2018-3060, CVE-2018-3065, CVE-2018-0739, CVE-2018-3073, CVE-2018-0739, CVE-2018-3074, CVE-2018-3062, CVE-2018-3081, CVE-2018-3071, CVE-2018-3079, CVE-2018-3054, CVE-2018-3077, CVE-2018-3078, CVE-2018-3080, CVE-2018-3061, CVE-2018-3067, CVE-2018-3063, CVE-2018-3075, CVE-2018-3058, CVE-2018-3056, CVE-2018-2598, CVE-2018-3066, CVE-2018-2767, CVE-2018-3084, CVE-2018-3082)

CVE概要(詳細はCVEのサイトをご確認ください)


  • CVE-2020-1938
  • CVE-2020-1967
  • CVE-2020-5398
  • CVE-2020-14663
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Security: Privileges
    • CVSS 3.0 Base Score 7.2
    • CVSS Vector: 元情報参照
  • CVE-2020-14678
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Security: Privileges
    • CVSS 3.0 Base Score 7.2
    • CVSS Vector: 元情報参照
  • CVE-2020-14697
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Security: Privileges
    • CVSS 3.0 Base Score 7.2
    • CVSS Vector: 元情報参照
  • CVE-2020-14591
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Audit Plug-in
    • CVSS 3.0 Base Score 6.5
    • CVSS Vector: 元情報参照
  • CVE-2020-14539
    • 影響するバージョン:5.6.48 and prior, 5.7.30 and prior, 8.0.20 and prior
    • サブコンポーネント: Server: Optimizer
    • CVSS 3.0 Base Score 6.5
    • CVSS Vector: 元情報参照
  • CVE-2020-14680
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Optimizer
    • CVSS 3.0 Base Score 6.5
    • CVSS Vector: 元情報参照
  • CVE-2020-14619
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Parser
    • CVSS 3.0 Base Score 6.5
    • CVSS Vector: 元情報参照
  • CVE-2020-14576
    • 影響するバージョン:5.7.30 and prior, 8.0.20 and prior
    • サブコンポーネント: Server: UDF
    • CVSS 3.0 Base Score 6.5
    • CVSS Vector: 元情報参照
  • CVE-2020-14643
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Security: Roles
    • CVSS 3.0 Base Score 5.5
    • CVSS Vector: 元情報参照
  • CVE-2020-14651
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Security: Roles
    • CVSS 3.0 Base Score 5.5
    • CVSS Vector: 元情報参照
  • CVE-2020-14550
    • 影響するバージョン:5.6.48 and prior, 5.7.30 and prior, 8.0.20 and prior
    • サブコンポーネント: C API
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
  • CVE-2019-1551
  • CVE-2020-14568
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: InnoDB
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14623
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: InnoDB
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14540
    • 影響するバージョン:5.7.30 and prior, 8.0.20 and prior
    • サブコンポーネント: Server: DML
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14575
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: DML
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14620
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: DML
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14624
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: JSON
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14656
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Locking
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14547
    • 影響するバージョン:5.7.30 and prior, 8.0.20 and prior
    • サブコンポーネント: Server: Optimizer
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14597
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Optimizer
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14614
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Optimizer
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14654
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Optimizer
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14632
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Options
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14567
    • 影響するバージョン:5.7.29 and prior, 8.0.19 and prior
    • サブコンポーネント: Server: Replication
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14631
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Security: Audit
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14586
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Security: Privileges
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14702
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Security: Privileges
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14641
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: Server: Security: Roles
    • CVSS 3.0 Base Score 4.9
    • CVSS Vector: 元情報参照
  • CVE-2020-14559
    • 影響するバージョン:5.6.48 and prior, 5.7.30 and prior, 8.0.20 and prior
    • サブコンポーネント: Server: Information Schema
    • CVSS 3.0 Base Score 4.3
    • CVSS Vector: 元情報参照
  • CVE-2020-14553
    • 影響するバージョン:5.7.30 and prior, 8.0.20 and prior
    • サブコンポーネント: Server: Pluggable Auth
    • CVSS 3.0 Base Score 4.3
    • CVSS Vector: 元情報参照
  • CVE-2020-14633
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: InnoDB
    • CVSS 3.0 Base Score 2.7
    • CVSS Vector: 元情報参照
  • CVE-2020-14634
    • 影響するバージョン:8.0.20 and prior
    • サブコンポーネント: InnoDB
    • CVSS 3.0 Base Score 2.7
    • CVSS Vector: 元情報参照
  • CVE-2020-5258

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、サービスの再起動が発生しますので、peacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。



セキュリティ系連載案内

セミナー情報1

コンピュータセキュリティシンポジウム(CSS)2020併設のワークショップ、 OSSセキュリティ技術ワークショップ(OWS) 2020の企画講演セッション及び、 一般論文セッションの発表募集をさせていただきます。

今年度はオンラインでの開催となります。奮ってのご投稿、お待ちしております。

https://www.iwsec.org/ows/2020/


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

Apache Tomcatの脆弱性情報(Important: CVE-2020-13935, Moderate: CVE-2020-13934)と新バージョン(10.0.0-M7/9.0.37/8.5.57/7.0.105)

次へ

Oracle Javaの脆弱性(Oracle Critical Patch Update Advisory - Jul 2020)